Get Cost Assets

Retrieve the list of assets defined in the account

Use this API to get K8s and non-K8s cost assets.
Set the isK8S parameter to "1" to get K8s assets.
The possible combinations of the columns / cost types vary between the two use cases.

ℹ️

The columns field lists the various available data columns for the assets.
The list can be viewed in the Umbrella Cost App and is updated according to the Cloud Provider.
Recent fields added to the list of columns in AWS: Invoice Id, Bill type, Tax type, ProductName

ℹ️

Azure Column names

Some Azure column names may differ between the request and the response.

Examples:

Column fields in the Request: subscription | meter | meter subcategory

Will be responded as: Linked Account | operation | familyTypeUsage

Request the Cost calculation option you need

Choose between the cost calculation options. Set the required cost calculation option as true in your request, and omit the other options from your request.

  • isAmortized=true
  • isNetAmortized=true
  • isNetUnblended=true
  • isPublicCost=true
  • isDistributed=true
  • isUnblended=true
Pagination
  • The nextToken field will be included in the response, to indicate there is additional information to retrieve.
    • The value should be used in the token parameter of the next call.

You can filter and group by the assets according to multiple dimensions. See the groupBy and filtering options here


Query Params
date
required

Start date for getting the data

date
required

End date for getting the data

boolean
required

A flag indicating whether to get 'regular' assets or Kubernets ones. (Bool. 1 = K8S assets, 0 = Regular Assets)

string
required

Granularity level of the period in the output data. (enum. Possible values: month, week, day)

string
required

The different columns for the required assets-

string
required

The different cost types for the required assets. Possible options are: cost, discount, refund, credit. If you are getting K8S assets, the possible options are: compute, dataTransfer, storage

boolean
required

Should the returned data be unblended. (See additional options in the note above)

string

Pagination indicator. The next token to return in this call. This will be returned from the previous call to this API.

Headers
string
required
string
required
Response

Language
LoadingLoading…
Response
Choose an example:
application/json